<div class="custom-input" ng-class="{'labeled' : label !== undefined}">
  <div class="label" ng-if="label">
    <i class="fas {{icon}}"></i>
    <span>{{label}}</span>
  </div>
  <span class="append" ng-if="label">cm</span>
  <input
    type="text"
    ng-model="model"
    placeholder="{{placeholder}}"
    size="{{placeholder.length}}"
  />
</div>
